www.cendio.com
Bug 4949 - tlclient mishandles ssh key paths with whitespace
: tlclient mishandles ssh key paths with whitespace
Status: CLOSED FIXED
: ThinLinc
Client
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-01-03 10:31 by
Modified: 2015-03-20 10:14 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-01-03 10:31:35
Trying to load a SSH key from a directory with a space in its name fails:

> 2014-01-03T10:22:45: Log file created
> 2014-01-03T10:22:45: ThinLinc client release 4.1.1post build 4198
> 2014-01-03T10:23:03: SSH command: /opt/thinlinc/lib/tlclient/ssh -N -o GlobalKnownHostsFile=/dev/null -o UserKnownHostsFile=/dev/null -o PasswordAuthentication=no -o ChallengeResponseAuthentication=no -o KbdInteractiveAuthentication=no -o "IdentityFile=/home/user/Evil Directory/id_rsa" -o CheckHostIP=no -o NumberOfPasswordPrompts=3 user@eudemo.thinlinc.com -p 22 thinlinc-login master
> 2014-01-03T10:23:03: SSH pid is 22744
> 2014-01-03T10:23:03: ssh[E]: command-line line 0: garbage at end of line; "Directory/id_rsa".
> 2014-01-03T10:23:04: Process 22744 exited with code 255

Verified on RHEL 6, but we've got reports about this not working on Windows as
well.
------- Comment #2 From 2014-02-06 08:32:10 -------
Verified on Windows as well:

2014-02-05T14:54:40: Log file created
2014-02-05T14:54:40: ThinLinc client release 4.1.1 build 4137
2014-02-05T14:54:49: SSH command: "C:\Programmer\ThinLinc Client\ssh.exe" -N -o
GlobalKnownHostsFile=nul -o UserKnownHostsFile=nul -o PasswordAuthentication=no
-o ChallengeResponseAuthentication=no -o KbdInteractiveAuthentication=no -o
"IdentityFile=C:\Documents and Settings\KMAI0003\Skrivebord\id_dsa" -o
CheckHostIP=no -o NumberOfPasswordPrompts=3 -v katrinem@thinlinc.drcmr.dk -p 22
thinlinc-login master
2014-02-05T14:54:50: WinPopenProcess: Started process 3544 (ssh.exe)
2014-02-05T14:54:50: ssh[E]: command-line line 0: garbage at end of line;
"and".
2014-02-05T14:54:50: WinProcess::KillProcess: PostThreadMessage(WM_QUIT) failed
2014-02-05T14:54:50: WinProcess: Terminated process 3544 (ssh.exe)
------- Comment #3 From cendio 2015-02-16 11:36:18 -------
Fixed in r29992 and r29993.
------- Comment #4 From cendio 2015-02-18 10:39:50 -------
Works well. Tested on Fedora 21 and Windows 8.1.
------- Comment #5 From cendio 2015-03-17 13:16:49 -------
Tested using client build 4695 on Windows 2008 r2. Works as expected.